curl --request GET \
--url https://api.galtea.ai/endpointConnections/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.galtea.ai/endpointConnections/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.galtea.ai/endpointConnections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"productId": "prod_123",
"name": "My API Connection",
"url": "https://api.example.com/v1/chat/completions",
"httpMethod": "POST",
"authType": "BEARER",
"inputTemplate": "{\"prompt\": \"{{ input.user_message }}\"}",
"outputMapping": {
"output": "$.choices[0].message.content"
},
"id": "ec_123",
"userId": "user_123",
"hasAuthToken": true,
"username": "<string>",
"hasPassword": true,
"headers": {
"Content-Type": "application/json"
},
"inputSchema": {
"type": "object",
"properties": {
"user_message": {
"type": "string",
"description": "The main user message to the agent"
},
"reasoning_level": {
"type": "string",
"enum": [
"low",
"medium",
"high"
],
"description": "How much reasoning the agent should apply"
},
"topic": {
"type": "string",
"enum": [
"billing",
"shipping",
"returns",
"account"
],
"description": "Conversation topic"
},
"customer_id": {
"type": "string",
"pattern": "^C-\\d{3,6}$",
"description": "Customer identifier"
}
},
"required": [
"user_message"
]
},
"type": "CONVERSATION",
"timeout": 15,
"rateLimit": 60,
"retryEnabled": true,
"retryMaxAttempts": 1,
"retryInitialDelayMs": 1000,
"retryBackoffStrategy": "EXPONENTIAL",
"retryMaxDelayMs": 3000,
"retryableStatusCodes": [
429,
500,
502,
503,
504
],
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}Get endpoint connection by ID
Get a specific endpoint connection by ID. See Endpoint Connections.
Authorizations
API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....
Path Parameters
EndpointConnection ID
Response
Endpoint connection retrieved successfully
"prod_123"
"My API Connection"
"https://api.example.com/v1/chat/completions"
GET, POST, PUT, PATCH, DELETE "POST"
NONE, BEARER, API_KEY, BASIC "BEARER"
Jinja2/Nunjucks template for request body. Must contain {{ input.user_message }} placeholder.
"{\"prompt\": \"{{ input.user_message }}\"}"
JSONPath expressions to extract values from API response. Must include "output" key.
Show child attributes
Show child attributes
{ "output": "$.choices[0].message.content" }
"ec_123"
"user_123"
Whether an auth token is configured (token value is not exposed)
Username for Basic auth
Whether a password is configured (password value is not exposed)
Show child attributes
Show child attributes
{ "Content-Type": "application/json" }
Optional JSON Schema (draft 2020-12) defining the structure of input fields, their types, and valid values. Must have type "object" with a "properties" key.
{
"type": "object",
"properties": {
"user_message": {
"type": "string",
"description": "The main user message to the agent"
},
"reasoning_level": {
"type": "string",
"enum": ["low", "medium", "high"],
"description": "How much reasoning the agent should apply"
},
"topic": {
"type": "string",
"enum": ["billing", "shipping", "returns", "account"],
"description": "Conversation topic"
},
"customer_id": {
"type": "string",
"pattern": "^C-\\d{3,6}$",
"description": "Customer identifier"
}
},
"required": ["user_message"]
}
INITIALIZATION, CONVERSATION, FINALIZATION "CONVERSATION"
Per-attempt request timeout in seconds. Unset applies the default (15). Capped server-side at 120 seconds.
1 <= x <= 12015
Maximum requests per minute. Unset (null) means no rate limit.
x >= 160
Whether automatic retry is enabled for failed requests
Maximum number of retry attempts (applied when retryEnabled is true). 0 is only valid when retryEnabled is false; with retry enabled the minimum is 1.
0 <= x <= 10Initial delay in milliseconds before first retry
x >= 0Strategy for increasing delay between retries
FIXED, EXPONENTIAL, LINEAR Maximum delay between retry attempts, in milliseconds. Capped server-side at 60000 (60 seconds) to bound retry blast radius.
0 <= x <= 60000HTTP status codes that should trigger a retry
100 <= x <= 599